Package org.jbpm.runtime.manager.impl.jpa

## Class ContextMappingInfo

- java.lang.Object
- - org.jbpm.runtime.manager.impl.jpa.ContextMappingInfo

- All Implemented Interfaces:
    `Serializable`

      @Entity
      public class ContextMappingInfo
      extends Object
      implements Serializable

  The main entity that helps the runtime manager keep track of which context is bound to which `KieSession`. It also provides the following two queries to fetch required information:
  - FindContextMapingByContextId
  - FindContextMapingByKSessionId
  This entity must be included in the persistence.xml when the "Per Process Instance" strategy is used.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ContextMappingInfo()` |
    `ContextMappingInfo​(String contextId, Long ksessionId, String ownerId)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getContextId()` |
    `Long` | `getKsessionId()` |
    `Long` | `getMappingId()` |
    `String` | `getOwnerId()` |
    `int` | `getVersion()` |
    `void` | `setContextId​(String contextId)` |
    `void` | `setKsessionId​(Long ksessionId)` |
    `void` | `setMappingId​(Long mappingId)` |
    `void` | `setOwnerId​(String ownerId)` |
    `void` | `setVersion​(int version)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ContextMappingInfo

          public ContextMappingInfo()

    - #### ContextMappingInfo

          public ContextMappingInfo​(String contextId,
                                    Long ksessionId,
                                    String ownerId)

  - ### Method Detail

    - #### getMappingId

          public Long getMappingId()

    - #### setMappingId

          public void setMappingId​(Long mappingId)

    - #### getVersion

          public int getVersion()

    - #### setVersion

          public void setVersion​(int version)

    - #### getContextId

          public String getContextId()

    - #### setContextId

          public void setContextId​(String contextId)

    - #### getKsessionId

          public Long getKsessionId()

    - #### setKsessionId

          public void setKsessionId​(Long ksessionId)

    - #### getOwnerId

          public String getOwnerId()

    - #### setOwnerId

          public void setOwnerId​(String ownerId)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`